import React, { useState, useCallback } from 'react';

export default function () {
  const [searchBuildId, setSearchBuildId] = useState<string>();
  const [searchFloorId, setSearchFloorId] = useState<string>();
  const changeSearchBuildId = (value: string) => {
    setSearchBuildId(value);
  };
  const changeSearchFloorId = (value: string) => {
    setSearchFloorId(value);
  };
  return {
    searchBuildId,
    searchFloorId,
    changeSearchBuildId,
    changeSearchFloorId,
  };
}
